%define base_name	kwin-style
%define theme_name	porcelain
%define name		%{base_name}-%{theme_name}
%define version		0.2
%define release %mkrel 7
%define summary		Porcelain kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			22689-%{theme_name}-%{version}.tar.bz2
Patch0:			porcelain-0.2-automake.patch.bz2
URL:			http://kdelook.org/content/show.php?content=22689
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
This is a windec based on the idea from Justin Berstler 
a.k.a. Spasemunkie.

http://www.kde-look.org/content/show.php?content=22199

The only difference is that the work area has no frame; 
it doesn't look so good.

Do not forget to try the provided colorschemes.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{theme_name}-%{version}
%patch0 -p1 -b .automake

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }
%configure --disable-rpath                             

%make


%install

%makeinstall_std

cat > $RPM_BUILD_DIR/%{theme_name}-%{version}/README.urpmi << EOF

######################### More informations ########################

To use this win deco use kcontrol section apparence (LookNFeel)
and choose porcelain theme.

This theme provides color schemes 
In kcontrol section aparence color schemes
and choose
Porcelain.Green
or
Porcelain.Yellow
or
Porcelain.Blue
or
Porcelain.Grey
or
Porcelain.Pink
or
Porcelain.Yellow

#######################################################################
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO INSTALL ChangeLog README.urpmi
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop
%_datadir/apps/kdisplay/color-schemes/Porcelain.Blue.kcsrc
%_datadir/apps/kdisplay/color-schemes/Porcelain.Green.kcsrc
%_datadir/apps/kdisplay/color-schemes/Porcelain.Grey.kcsrc
%_datadir/apps/kdisplay/color-schemes/Porcelain.Pink.kcsrc
%_datadir/apps/kdisplay/color-schemes/Porcelain.Yellow.kcsrc

%changelog
* Tue May 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2-7mdk
- patch0: accept automake 1.8 and 1.9

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2-6mdk
- drop BuildRequires: automake1.6

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-5mdk
- Fix BuildRequires

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-4mdk
- Remove redundant BuildRequires
- Fix README.urpmi
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.2-3mdk
- REbuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.2-2mdk
- Rebuild + fix x86_64

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandriva.org> 0.2-1mdk
-Initial mandriva Linux release

